//----------------------------------------------------------------------------
// Copyright (c) 2015-2016 Fabrice HARROUET (ENIB)
//
// This file is part of GpuElint.
//   http://www.enib.fr/~harrouet/gpuelint.html
//
// GpuElint is free software: you can redistribute it and/or modify
// it under the terms of the GNU Lesser General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// GpuElint is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public License
// along with GpuElint.  If not, see <http://www.gnu.org/licenses/>.
//----------------------------------------------------------------------------

#ifndef GPUELINT_PLATFORM_H
#define GPUELINT_PLATFORM_H 1

#if defined _WIN32
# if defined WIN32_GPUELINT_DLL
#   define TRANSGL_API_VAR __declspec(dllexport)
# else
#   define TRANSGL_API_VAR __declspec(dllimport)
# endif
#endif
#include "coreGl.h"
#define GPUELINT_API_VAR TRANSGL_API_VAR
#define GPUELINT_API     TRANSGL_API

#if !defined _WIN32
# define __gl_h_ // prevent glx.h from including gl.h
# include <GL/glx.h>
#endif

#endif // GPUELINT_PLATFORM_H

//----------------------------------------------------------------------------
